/* Category Toggle */

.category-toggle__title {
    font-family: var(--font-bold);
    font-size: 18px;
    color: #fff;
    line-height: 50px;
    text-align: center;
    text-transform: uppercase;
    border-radius: 5px 5px 0px 0px;
    background: var(--color-web-pastel-blue);
    height: 50px;
}

.category-toggle__list {
    width: 100%;
    list-style: none;
    padding: 0px;
    margin: 0;
}

.category-toggle__list.level-1 {
    border-right: 1px solid #dedede;
    border-left: 1px solid #dedede;
}

.category-toggle__list li {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    border-bottom: 1px solid #dedede;
    padding: 10px 10px 10px 20px;
}

.category-toggle__list:not(.level-1) li:last-child {
    border-bottom: none;
}

.category-toggle__list li a {
    flex: 1;
    font-family: var(--font-semibold);
    font-size: 15px;
    color: var(--color-text-secondary);
    text-transform: uppercase;
}

.category-toggle__list li a.text-split {
    -webkit-line-clamp: 1;
}

.category-toggle__list li:has(.category-toggle__btn.active)>a,
.category-toggle__list li a:hover {
    color: var(--color-web-shampoo);
}

.category-toggle__list li span {
    flex-shrink: 0;
    display: grid;
    place-items: center;
    width: 20px;
    height: 20px;
    cursor: pointer;
}

.category-toggle__list li span i {
    font-size: 16px;
    transform: rotateZ(0deg);
}

.category-toggle__list li span i.active {
    transform: rotateZ(-90deg);
}

.category-toggle__list li span i:hover,
.category-toggle__list li span i.active {
    color: var(--color-web-shampoo);
}

.category-toggle__list li ul {
    padding: 0;
}

.category-toggle__list li ul li:last-child {
    padding-bottom: 0;
}
